Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.datasource
Interface DataSourceImpl.Pool

All Superinterfaces:
  Collection, Set

All Known Implementing Classes:
  DataSourceImpl.AbstractPool

Enclosing class:
  DataSourceImpl

public static interface DataSourceImpl.Pool
extends Set

Method Summary
`com.solarmetric.datasource.PoolConnection` | `chooseConnection(Set candidates)` Choose the most appropriate Connection in the given set to use.
`void` | `clean()` Cleanup possibly dead connections from the pool.
`void` | `close(com.solarmetric.datasource.PoolConnection conn, boolean remove)` Close a pooled connection.
`void` | `closeAll()` Close all pooled connections.
`Connection` | `getConnection(JDBCConnectionRequestInfo cri)` Obtain a connection from the pool.
`int` | `getMaxPool()`
`int` | `getMinPool()`
`void` | `setMaxPool(int max)` Set the maximum size of the pool.
`void` | `setMinPool(int min)`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### setMaxPool

    public void setMaxPool(int max)

  Set the maximum size of the pool.
  Parameters:
    `max` - the maximum size

### getMaxPool

    public int getMaxPool()

  Returns:
    the maximum size of the pool.

### setMinPool

    public void setMinPool(int min)

  Parameters:
    `min` - the minimum size of the pool.

### getMinPool

    public int getMinPool()

  Returns:
    the minimum size of the pool.

### close

    public void close(com.solarmetric.datasource.PoolConnection conn,
                      boolean remove)
               throws SQLException

  Close a pooled connection.
  Parameters:
    `conn` - the connection to close.
    `remove` - if true, remove the connection from the pool.

### clean

    public void clean()
               throws SQLException

  Cleanup possibly dead connections from the pool.

### getConnection

    public Connection getConnection(JDBCConnectionRequestInfo cri)
                             throws SQLException

  Obtain a connection from the pool.
  Parameters:
    `cri` - the request information.
  Returns:
    a pooled or new Connection.

### closeAll

    public void closeAll()

  Close all pooled connections.

### chooseConnection

    public com.solarmetric.datasource.PoolConnection chooseConnection(Set candidates)

  Choose the most appropriate Connection in the given set to use.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.